%define		perl_vendorarch	%(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:	Modular text mode IRC client with Perl scripting
Name:		irssi
Version:	1.4.3
Release:	0%{?dist}

License:	GPLv2+
Group:		Applications/Communications
URL:		http://irssi.org/
#Source0:	http://irssi.org/files/irssi-%{version}.tar.gz
Source0:	https://github.com/irssi/irssi/releases/download/%{version}/irssi-%{version}.tar.gz
Source1:	irssi-config.h
#Patch0:		00-freenode-to-libera.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ncurses-devel openssl-devel zlib-devel
BuildRequires:	pkgconfig glib2-devel perl-devel perl(ExtUtils::Embed)
BuildRequires:	autoconf automake libtool
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%package devel
Summary:	Development package for irssi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description
Irssi is a modular IRC client with Perl scripting. Only text-mode
frontend is currently supported. The GTK/GNOME frontend is no longer
being maintained.

%description devel
This package contains headers needed to develop irssi plugins.

Irssi is a modular IRC client with Perl scripting. Only text-mode
frontend is currently supported. The GTK/GNOME frontend is no longer
being maintained.


%prep
%setup -q
#%patch0 -p1

%build
autoreconf -i
#	--with-bot			\
%configure --enable-ipv6 --with-textui	\
	--with-proxy			\
	--with-perl=yes			\
	--with-perl-lib=vendor          \
	--enable-true-color

make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
mv irssi-config.h irssi-config-$(getconf LONG_BIT).h
cp -p %{SOURCE1} irssi-config.h


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PERL_INSTALL_ROOT=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
install -p irssi-config-$(getconf LONG_BIT).h $RPM_BUILD_ROOT%{_includedir}/%{name}/irssi-config-$(getconf LONG_BIT).h

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/lib*.*a
rm -Rf $RPM_BUILD_ROOT/%{_docdir}/%{name}
find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -a -name '*.bs' -a -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -a -name .packlist -exec rm {} ';'
chmod -R u+w $RPM_BUILD_ROOT%{perl_vendorarch}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/*.txt docs/*.html AUTHORS COPYING NEWS README.md TODO
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
#%{_bindir}/botti
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/pkgconfig/irssi-1.pc
%{_mandir}/man1/%{name}.1*
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/Irssi


%files devel
%defattr(-,root,root,-)
%{_includedir}/irssi/


%changelog
* Wed Nov 09 2022 Psychotic Build System <builder@psychotic.ninja> - 1.4.3-0
- Upgrade to upstream 1.4.3

* Wed Jul 13 2022 Psychotic Build System <builder@psychotic.ninja> - 1.4.2-0
- Update to upstreram 1.4.2

* Sat Jun 11 2022 Psychotic Build System <builder@psychotic.ninja> - 1.4.1-0
- Upgrade to upstream 1.4.1

* Tue Jun 15 2021 Psychotic Build System <builder@psychotic.ninja> - 1.2.3-2
- Change references of freenode to libera

* Fri Jun 04 2021 Psychotic Build System <builder@psychotic.ninja> - 1.2.3-1
- Updated to upstream 1.2.3

* Fri Nov 01 2019 Psychotic Build System <builder@psychotic.ninja> - 1.2.2-1
- Upgrade to upstream 1.2.2 which is stability and security update addressing
  CVE-2019-15717 (Use after free when receiving duplicate CAP)

* Mon Jul 01 2019 Psychotic Build System <builder@psychotic.ninja> - 1.2.1-1
- Upgrade to upstream 1.2.1

* Mon Jul 01 2019 Psychotic Build System <builder@psychotic.ninja> - 1.1.3-1
- Upgrade to upstream 1.1.3 which is a stability and security update addressing
  CVE-2019-13045 (use after free if SASL is enabled)

* Mon Jan 14 2019 Psychotic Build System <builder@psychotic.ninja> - 1.1.2-1
- Upgrade to upstream 1.1.2 which is a stability and security update addressing
  CVE-2019-5882 (use-after-free).

* Fri Mar 09 2018 Psychotic Build System <builder@psychotic.ninja> - 1.1.1-2
- Bump to upstream 1.1.1

* Fri Jan 19 2018 Psychotic Build System <builder@psychotic.ninja> - 1.1.0-2
- Upgraded to upstream 1.1.0.  Sourced from GhettoForge

* Tue Jan 16 2018 Bryan Seitz <seitz@ghettoforge.org> - 1.1.0-1
- New upstream version 1.1.0

* Sat Jan 06 2018 Bryan Seitz <seitz@ghettoforge.org> - 1.0.6-1
- New upstream version 1.0.6

* Mon Oct 23 2017 Bryan Seitz <seitz@ghettoforge.org> - 1.0.5-1
- New upstream version 1.0.5

* Sat Jul 08 2017 Bryan Seitz <seitz@ghettoforge.org> - 1.0.4-1
- New upstream version 1.0.4

* Sun Mar 19 2017 Psychotic Build System <builder@psychotic.ninja> - 1.0.2-1
- Updated to upstream 1.0.2

* Fri Mar 17 2017 Psychotic Build System <builder@psychotic.ninja> - 1.0.1-2
- Initial build for Psychotic Ninja; sourced from GhettoForge

* Mon Feb 06 2017 Bryan Seitz <seitz@ghettoforge.org> - 1.0.1-1
- New upstream version 1.0.1

* Tue Jan 10 2017 Bryan Seitz <seitz@ghettoforge.org> - 1.0.0-1
- New upstream version 1.0.0

* Fri Sep 23 2016 Bryan Seitz <seitz@ghettoforge.org> - 0.8.20-1
- New upstream version 0.8.20

* Fri May 06 2016 Bryan Seitz <seitz@ghettoforge.org> - 0.8.19-1
- New upstream version 0.8.19

* Mon May 11 2015 Bryan Seitz <seitz@ghettoforge.org> - 0.8.17-2
- Import into GhettoForge
